#ifndef _APPLICATIONEVENTS_H_
#define _APPLICATIONEVENTS_H_

#include "IEvent.h"

class ApplicationQuitEvent : public IEvent
{
	public:
	ApplicationQuitEvent() { m_eventName = cEventName; }
	~ApplicationQuitEvent() {}

	virtual HashString GetEventType() { return m_eventName; }

	const static HashString cEventName;
	
	protected:
	HashString m_eventName;
};

#endif
